Skip to navigation

Get data that users entered in PowerForm

View as Markdown

This method enables Powerform Administrators or the sender of a PowerForm to download the data that recipients have entered into a PowerForm.

You specify the format in which you want to retrieve the data in the Accept header. This header accepts the following values:

  • application/json: JSON format
  • application/xml: XML format
  • text/csv: Comma-separated value (CSV) format

You can further specify the type of CSV format in the data_layout query parameter.

Note: Only PowerForm Administrators or the PowerForm Sender can download the data associated with a PowerForm.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

powerFormIdstringRequired
The ID of the PowerForm.

Query parameters

data_layoutstringOptional

The layout in which to return the PowerForm data.

For each of the following layouts, set the Accept header to the corresponding value.

Valid values are:

  • Native (Set Accept header to application/json)
  • Csv_Classic (Set Accept header to application/csv)
  • Csv_One_Envelope_Per_Line (Set Accept header to text/csv)
  • Xml_Classic (Set Accept header to application/xml)
from_datestringOptional

The start date for a date range in UTC DateTime format.

Note: If this property is null, no date filtering is applied.

to_datestringOptional

The end date of a date range in UTC DateTime format. The default value is UtcNow.

Response

Successful response.
envelopeslist of objectsOptional

Errors

400
Bad Request Error